"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AttachmentType = exports.RegistrationNumberType = exports.UnitOfMeasurement = exports.ExtraCarrierService = exports.CarrierService = exports.HealthStatus = exports.ParcelStatus = exports.Carrier = void 0;
var Carrier;
(function (Carrier) {
    Carrier["CeskaPosta"] = "CESKA_POSTA";
    Carrier["Dhl"] = "DHL";
    Carrier["DhlCz"] = "DHL_CZ";
    Carrier["DhlDe"] = "DHL_DE";
    Carrier["DhlExpress"] = "DHL_EXPRESS";
    Carrier["Dpd"] = "DPD";
    Carrier["Geis"] = "GEIS";
    Carrier["Gls"] = "GLS";
    Carrier["Internal"] = "INTERNAL";
    Carrier["Liftago"] = "LIFTAGO";
    Carrier["MallCz"] = "MALL_CZ";
    Carrier["MallSk"] = "MALL_SK";
    Carrier["Packeta"] = "PACKETA";
    Carrier["Ppl"] = "PPL";
    Carrier["ShippyPro"] = "SHIPPYPRO";
    Carrier["Wedo"] = "WEDO";
})(Carrier = exports.Carrier || (exports.Carrier = {}));
var ParcelStatus;
(function (ParcelStatus) {
    ParcelStatus["AcceptedByInputApi"] = "ACCEPTED_BY_INPUT_API";
    ParcelStatus["CarrierPickedUp"] = "CARRIER_PICKED_UP";
    ParcelStatus["Delivered"] = "DELIVERED";
    ParcelStatus["NotAvailable"] = "NOT_AVAILABLE";
    ParcelStatus["ReadyToTakeover"] = "READY_TO_TAKEOVER";
    ParcelStatus["Returned"] = "RETURNED";
    ParcelStatus["Returning"] = "RETURNING";
    ParcelStatus["Canceled"] = "CANCELED";
    ParcelStatus["WaitingForTheCarrier"] = "WAITING_FOR_THE_CARRIER";
})(ParcelStatus = exports.ParcelStatus || (exports.ParcelStatus = {}));
var HealthStatus;
(function (HealthStatus) {
    HealthStatus["OK"] = "OK";
    HealthStatus["ERROR"] = "ERROR";
})(HealthStatus = exports.HealthStatus || (exports.HealthStatus = {}));
var CarrierService;
(function (CarrierService) {
    CarrierService["CzechPost_BalikDoRuky"] = "2";
    CarrierService["CzechPost_BalikNaPostu"] = "15";
    CarrierService["Service8"] = "8";
    CarrierService["Service6"] = "6";
    CarrierService["GEIS_HomeDeliveryStandard"] = "4";
    CarrierService["GEIS_HomeDeliveryPremium"] = "5";
    CarrierService["Service108"] = "108";
    CarrierService["CzechPost_Dopis"] = "9";
    CarrierService["Service28"] = "28";
    CarrierService["CzechPost_PressReleaseD1"] = "17";
    CarrierService["CzechPost_PressReleaseDN"] = "18";
    CarrierService["CzechPost_Balikovna"] = "36";
    CarrierService["Service105"] = "105";
    CarrierService["WEDO_Box"] = "106";
    CarrierService["WEDO_Package"] = "107";
    CarrierService["Service201"] = "201";
    CarrierService["Service202"] = "202";
    CarrierService["Service203"] = "203";
    CarrierService["Service204"] = "204";
})(CarrierService = exports.CarrierService || (exports.CarrierService = {}));
var ExtraCarrierService;
(function (ExtraCarrierService) {
    ExtraCarrierService["SMS"] = "101";
    ExtraCarrierService["Email"] = "102";
    ExtraCarrierService["COD"] = "103";
    ExtraCarrierService["Insurance"] = "104";
    ExtraCarrierService["AgeCheck"] = "105";
    ExtraCarrierService["CO2Neutral"] = "106";
    ExtraCarrierService["ShopDelivery"] = "107";
    ExtraCarrierService["DhlExpress_VerbalDeliveryConfirmation"] = "108";
    ExtraCarrierService["DhlExpress_DirectSignature"] = "109";
    ExtraCarrierService["GoGreen"] = "110";
    ExtraCarrierService["DhlExpress_Cites"] = "111";
    ExtraCarrierService["DhlExpress_CarnetAta"] = "112";
    ExtraCarrierService["DhlExpress_EXV"] = "113";
    ExtraCarrierService["DhlExpress_SpecialPickup"] = "114";
    ExtraCarrierService["DhlExpress_NeutralDelivery"] = "115";
    ExtraCarrierService["DhlExpress_DDP"] = "116";
    ExtraCarrierService["DhlExpress_SaturdayDelivery"] = "117";
    ExtraCarrierService["DhlExpress_ExtendedLiability"] = "118";
    ExtraCarrierService["DhlExpress_DangerousGoods"] = "119";
    ExtraCarrierService["DhlExpress_ConsumerCommodities"] = "120";
    ExtraCarrierService["DhlExpress_LimitedQuantitiesAdr"] = "121";
    ExtraCarrierService["DhlExpress_ImportedRecord"] = "122";
    ExtraCarrierService["DhlExpress_DutiesAndTaxesPaid"] = "123";
    ExtraCarrierService["DhlExpress_ConsigneeRegistrationNumber"] = "124";
})(ExtraCarrierService = exports.ExtraCarrierService || (exports.ExtraCarrierService = {}));
var UnitOfMeasurement;
(function (UnitOfMeasurement) {
    UnitOfMeasurement["Metric"] = "metric";
    UnitOfMeasurement["Imperial"] = "imperial";
})(UnitOfMeasurement = exports.UnitOfMeasurement || (exports.UnitOfMeasurement = {}));
var RegistrationNumberType;
(function (RegistrationNumberType) {
    RegistrationNumberType["VAT"] = "VAT";
    RegistrationNumberType["EIN"] = "EIN";
    RegistrationNumberType["GST"] = "GST";
    RegistrationNumberType["SSN"] = "SSN";
    RegistrationNumberType["EOR"] = "EOR";
    RegistrationNumberType["DUN"] = "DUN";
    RegistrationNumberType["FED"] = "FED";
    RegistrationNumberType["STA"] = "STA";
    RegistrationNumberType["CNP"] = "CNP";
    RegistrationNumberType["IE"] = "IE";
    RegistrationNumberType["INN"] = "INN";
    RegistrationNumberType["KPP"] = "KPP";
    RegistrationNumberType["OGR"] = "OGR";
    RegistrationNumberType["OKP"] = "OKP";
    RegistrationNumberType["MRN"] = "MRN";
    RegistrationNumberType["SDT"] = "SDT";
    RegistrationNumberType["FTZ"] = "FTZ";
    RegistrationNumberType["DAN"] = "DAN";
    RegistrationNumberType["TAN"] = "TAN";
    RegistrationNumberType["DTF"] = "DTF";
    RegistrationNumberType["RGP"] = "RGP";
    RegistrationNumberType["DLI"] = "DLI";
    RegistrationNumberType["NID"] = "NID";
    RegistrationNumberType["PAS"] = "PAS";
    RegistrationNumberType["MID"] = "MID";
})(RegistrationNumberType = exports.RegistrationNumberType || (exports.RegistrationNumberType = {}));
var AttachmentType;
(function (AttachmentType) {
    AttachmentType["Invoice"] = "invoice";
})(AttachmentType = exports.AttachmentType || (exports.AttachmentType = {}));
//# sourceMappingURL=common.js.map