"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CmsService = void 0;
const axios_1 = __importDefault(require("axios"));
const carrier_query_1 = require("./queries/carrier.query");
const customerCarrierCredentials_query_1 = require("./queries/customerCarrierCredentials.query");
const externalSystemsWebhooks_1 = require("./queries/externalSystemsWebhooks");
class CmsService {
    constructor(baseUrl, accessToken) {
        this.client = axios_1.default.create({
            baseURL: baseUrl,
            headers: {
                Authorization: `Bearer ${accessToken}`,
            },
        });
    }
    async getCustomerCarrierCredentials(customerId, carrier) {
        return new customerCarrierCredentials_query_1.CustomerCarrierCredentialsQuery().processQuery({ customerId, carrier }, this.client);
    }
    async getCarrier(carrierId) {
        return new carrier_query_1.CarrierQuery().processQuery({ carrierId }, this.client);
    }
    async getExternalSystemsWebhooks() {
        return new externalSystemsWebhooks_1.WebhooksQuery().processQuery(null, this.client);
    }
}
exports.CmsService = CmsService;
//# sourceMappingURL=cms.service.js.map