import { CarrierResponse } from './queries/carrier.query';
import { CarrierCredentials } from './queries/customerCarrierCredentials.query';
import { ICmsService } from './cms.interface';
import { Carrier } from '../../common';
import { ICacheService } from '../cache';
import { Webhook } from './queries/externalSystemsWebhooks';
export declare const CUSTOMER_CARRIER_CREDENTIALS_CACHE_KEY = "CMS_CUSTOMER_CARRIER_CREDENTIALS";
export declare const CARRIER_CACHE_KEY = "CMS_CARRIER";
export declare const WEBHOOKS_CACHE_KEY = "CMS_WEBHOOKS";
export declare class CmsCachedService implements ICmsService {
    private readonly cmsService;
    private readonly cacheService;
    private readonly cacheTTL?;
    constructor(cmsService: ICmsService, cacheService: ICacheService, cacheTTL?: number | undefined);
    private generateCustomerCarrierCacheKey;
    private generateCarrierCacheKey;
    getCustomerCarrierCredentials(customerId: string, carrier: Carrier): Promise<CarrierCredentials | null>;
    getCarrier(carrierId: Carrier): Promise<CarrierResponse | null>;
    getExternalSystemsWebhooks(): Promise<Webhook[]>;
}
//# sourceMappingURL=cmsCached.service.d.ts.map