"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WebhooksQuery = void 0;
class WebhooksQuery {
    async processQuery(requestModel, client) {
        const { data: { data: webhooks }, } = await client.get('api/webhooks');
        if (!Array.isArray(webhooks))
            return [];
        return webhooks.map((webhook) => ({
            system: webhook.attributes.system,
            url: webhook.attributes.url,
            fullSet: webhook.attributes.fullSet,
        }));
    }
}
exports.WebhooksQuery = WebhooksQuery;
//# sourceMappingURL=externalSystemsWebhooks.js.map