import { RabbitRPC as RabbitRPCExternalDecorator } from '@golevelup/nestjs-rabbitmq';
import { MessageResponseEnvelope } from '../messages/messageEnvelope.interface';
import { IRabbitMQMessageType, IRabbitMQResponseType } from '../rabbitmq.interface';
export type RabbitRPCConfig<TMessageType, TResponseType> = Omit<Parameters<typeof RabbitRPCExternalDecorator>[0], 'allowNonJsonMessages' | 'exchange' | 'routingKey'> & {
    messageTypeDefinition?: IRabbitMQMessageType<TMessageType> & IRabbitMQResponseType<TResponseType>;
};
export declare function RabbitRPC<TMessageType, TResponseType>(config: RabbitRPCConfig<TMessageType, TResponseType>): (target: object, key: string | symbol, descriptor: TypedPropertyDescriptor<(message: TMessageType, ...rest: any) => Promise<MessageResponseEnvelope<TResponseType>>>) => void;
//# sourceMappingURL=rabbitRpc.d.ts.map