"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getOrderSaveFailedMessageDefinition = exports.getCarrierOrderCreateFailedMessageDefinition = exports.getOrderGetByIdMessageDefinition = exports.getOutputErrorMessageDefinition = exports.getOutputPrintMessageDefinition = exports.getOutputOrderStatusMessageDefinition = exports.getTrackingRequeueMessageDefinition = exports.getTrackingMessageDefinition = exports.getHealthCheckMessageDefinition = exports.getHealthStatusMessageDefinition = exports.getUpdateOrderMessageDefinition = exports.getSaveOrderMessageDefinition = exports.getNewOrderMessageDefinition = exports.getCancelOrderMessageDefinition = void 0;
const types_1 = require("../types");
const utils_1 = require("../utils");
const getCancelOrderMessageDefinition = () => ({
    exchange: types_1.RabbitMQExchange.Order,
    routingKey: (0, utils_1.createRoutingKey)(types_1.RabbitMQRoutingKey.OrderCancel),
    pattern: types_1.RabbitMQPattern.OrderCancel,
});
exports.getCancelOrderMessageDefinition = getCancelOrderMessageDefinition;
const getNewOrderMessageDefinition = (carrierId) => ({
    exchange: types_1.RabbitMQExchange.Order,
    routingKey: (0, utils_1.createRoutingKey)(types_1.RabbitMQRoutingKey.Order, carrierId),
    pattern: types_1.RabbitMQPattern.Order,
});
exports.getNewOrderMessageDefinition = getNewOrderMessageDefinition;
const getSaveOrderMessageDefinition = () => ({
    exchange: types_1.RabbitMQExchange.Order,
    routingKey: (0, utils_1.createRoutingKey)(types_1.RabbitMQRoutingKey.OrderSave),
    pattern: types_1.RabbitMQPattern.OrderSave,
});
exports.getSaveOrderMessageDefinition = getSaveOrderMessageDefinition;
const getUpdateOrderMessageDefinition = () => ({
    exchange: types_1.RabbitMQExchange.Order,
    routingKey: (0, utils_1.createRoutingKey)(types_1.RabbitMQRoutingKey.OrderUpdate),
    pattern: types_1.RabbitMQPattern.OrderUpdate,
});
exports.getUpdateOrderMessageDefinition = getUpdateOrderMessageDefinition;
const getHealthStatusMessageDefinition = () => ({
    exchange: types_1.RabbitMQExchange.HealthStatus,
    routingKey: (0, utils_1.createRoutingKey)(types_1.RabbitMQRoutingKey.HealthStatus),
    pattern: types_1.RabbitMQPattern.HealthStatus,
});
exports.getHealthStatusMessageDefinition = getHealthStatusMessageDefinition;
const getHealthCheckMessageDefinition = () => ({
    exchange: types_1.RabbitMQExchange.HealthCheck,
    routingKey: (0, utils_1.createRoutingKey)(types_1.RabbitMQRoutingKey.HealthCheck),
    pattern: types_1.RabbitMQPattern.HealthCheck,
});
exports.getHealthCheckMessageDefinition = getHealthCheckMessageDefinition;
const getTrackingMessageDefinition = (carrierId) => ({
    exchange: types_1.RabbitMQExchange.Tracking,
    routingKey: (0, utils_1.createRoutingKey)(types_1.RabbitMQRoutingKey.OrderTracking, carrierId),
    pattern: types_1.RabbitMQPattern.Tracking,
});
exports.getTrackingMessageDefinition = getTrackingMessageDefinition;
const getTrackingRequeueMessageDefinition = (carrierId) => ({
    exchange: types_1.RabbitMQExchange.TrackingRequeue,
    routingKey: (0, utils_1.createRoutingKey)(types_1.RabbitMQRoutingKey.OrderTracking, carrierId),
    pattern: types_1.RabbitMQPattern.Tracking,
});
exports.getTrackingRequeueMessageDefinition = getTrackingRequeueMessageDefinition;
const getOutputOrderStatusMessageDefinition = () => ({
    exchange: types_1.RabbitMQExchange.Order,
    routingKey: (0, utils_1.createRoutingKey)(types_1.RabbitMQRoutingKey.OrderStatusOutput),
    pattern: types_1.RabbitMQPattern.Output,
});
exports.getOutputOrderStatusMessageDefinition = getOutputOrderStatusMessageDefinition;
const getOutputPrintMessageDefinition = () => ({
    exchange: types_1.RabbitMQExchange.Order,
    routingKey: (0, utils_1.createRoutingKey)(types_1.RabbitMQRoutingKey.OrderStatusOutput),
    pattern: types_1.RabbitMQPattern.Print,
});
exports.getOutputPrintMessageDefinition = getOutputPrintMessageDefinition;
const getOutputErrorMessageDefinition = () => ({
    exchange: types_1.RabbitMQExchange.Order,
    routingKey: (0, utils_1.createRoutingKey)(types_1.RabbitMQRoutingKey.OutputError),
    pattern: types_1.RabbitMQPattern.OutputError,
});
exports.getOutputErrorMessageDefinition = getOutputErrorMessageDefinition;
const getOrderGetByIdMessageDefinition = () => ({
    exchange: types_1.RabbitMQExchange.Order,
    routingKey: (0, utils_1.createRoutingKey)(types_1.RabbitMQRoutingKey.GetById),
});
exports.getOrderGetByIdMessageDefinition = getOrderGetByIdMessageDefinition;
const getCarrierOrderCreateFailedMessageDefinition = (carrierId) => ({
    exchange: types_1.RabbitMQExchange.Order,
    routingKey: (0, utils_1.createRoutingKey)(types_1.RabbitMQRoutingKey.OrderFailed, carrierId),
});
exports.getCarrierOrderCreateFailedMessageDefinition = getCarrierOrderCreateFailedMessageDefinition;
const getOrderSaveFailedMessageDefinition = () => ({
    exchange: types_1.RabbitMQExchange.Order,
    routingKey: (0, utils_1.createRoutingKey)(types_1.RabbitMQRoutingKey.OrderSaveFailed),
});
exports.getOrderSaveFailedMessageDefinition = getOrderSaveFailedMessageDefinition;
//# sourceMappingURL=messageDefinitions.js.map